curl --request GET \
--url https://api.fintoc.com/v1/refresh_intents \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/refresh_intents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/refresh_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/refresh_intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/refresh_intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/refresh_intents")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/refresh_intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "ri_2dXqkOKkS9mOvnaW",
"object": "refresh_intent",
"created_at": "2021-08-23T18:22:46.792Z",
"public_error": null,
"refreshed_object": "link",
"refreshed_object_id": "link_nzwA3XWYiZkg4ojK",
"requires_mfa": null,
"status": "succeeded",
"type": "only_last"
}
]{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_link_token",
"param": "link_token",
"message": "Invalid access token for link: link_nMNejK7BT8oGbvO4_token_****",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}List refresh intents
Returns a paginated list of the refresh intents of a link, most recent first, using the link’s link_token to authenticate the request.
curl --request GET \
--url https://api.fintoc.com/v1/refresh_intents \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/refresh_intents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/refresh_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/refresh_intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/refresh_intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/refresh_intents")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/refresh_intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "ri_2dXqkOKkS9mOvnaW",
"object": "refresh_intent",
"created_at": "2021-08-23T18:22:46.792Z",
"public_error": null,
"refreshed_object": "link",
"refreshed_object_id": "link_nzwA3XWYiZkg4ojK",
"requires_mfa": null,
"status": "succeeded",
"type": "only_last"
}
]{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_link_token",
"param": "link_token",
"message": "Invalid access token for link: link_nMNejK7BT8oGbvO4_token_****",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Query Parameters
Response
Paginated list of refresh intents. The Link and X-Total-Count headers carry the pagination information.
Reason the refresh did not complete. retryable_error means you can retry the refresh. support_required_error means you need to contact Fintoc support. invalid_credentials_error means the institution rejected the credentials, so the account holder needs to reconnect the link. credentials_locked_error means the institution reports the account as locked, so the account holder needs to unlock the account with the institution before the link can refresh again. null when status is neither failed nor rejected, and when the institution did not report a reason Fintoc can map.
retryable_error, support_required_error, invalid_credentials_error, credentials_locked_error, null null
Was this page helpful?